Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Default_EMO_Factory Class Reference

`#include <Notify_Default_EMO_Factory.h>`

Inheritance diagram for TAO_Notify_Default_EMO_Factory

[legend]
Collaboration diagram for TAO_Notify_Default_EMO_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Default_EMO_Factory (void)
| ~TAO_Notify_Default_EMO_Factory ()
virtual int | init (int argc, char* argv[])
virtual int | fini (void)
virtual TAO_Notify_Event_Manager* | create_event_manager (TAO_Notify_EventChannel_i* channel, CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Notify_Event_Map* | create_event_map (CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Notify_Event_Processor* | create_event_processor (TAO_Notify_Event_Manager* event_manager, CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Notify_Worker_Task* | create_source_eval_task (CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Notify_Worker_Task* | create_lookup_task (CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Notify_Worker_Task* | create_listener_eval_task ( CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Notify_Worker_Task* | create_dispatching_task (CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Notify_Worker_Task* | create_updates_task (CORBA::Environment &ACE_TRY_ENV)
virtual void | destroy_source_eval_task (TAO_Notify_Worker_Task* task)
virtual void | destroy_lookup_task (TAO_Notify_Worker_Task* task)
virtual void | destroy_listener_eval_task (TAO_Notify_Worker_Task* task)
virtual void | destroy_dispatching_task (TAO_Notify_Worker_Task* task)
virtual void | destroy_updates_task (TAO_Notify_Worker_Task* task)
virtual void | print_values (void)
int | init_instance ()
## Static Public Methods
int | init_svc (void)
## Protected Methods
TAO_Notify_Worker_Task* | create_task (int mt, int tp_size,CORBA::Environment &ACE_TRY_ENV)
int | preallocate_tasks (void)
## Protected Attributes
TAO_Notify_Worker_Task* | prealloc_source_eval_task_
TAO_Notify_Worker_Task* | prealloc_listener_eval_task_
TAO_Notify_Worker_Task* | prealloc_dispatching_task_

## Constructor & Destructor Documentation

TAO_Notify_Default_EMO_Factory::TAO_Notify_Default_EMO_Factory ( | void )

TAO_Notify_Default_EMO_Factory::~TAO_Notify_Default_EMO_Factory ( | )

## Member Function Documentation

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_dispatching_task ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Event_Manager * TAO_Notify_Default_EMO_Factory::create_event_manager ( | TAO_Notify_EventChannel_i * channel,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Event_Map * TAO_Notify_Default_EMO_Factory::create_event_map ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Event_Processor * TAO_Notify_Default_EMO_Factory::create_event_processor ( | TAO_Notify_Event_Manager * event_manager,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_listener_eval_task ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_lookup_task ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_source_eval_task ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_task ( | int mt,
| int tp_size,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_updates_task ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_dispatching_task ( | TAO_Notify_Worker_Task * task )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_listener_eval_task ( | TAO_Notify_Worker_Task * task )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_lookup_task ( | TAO_Notify_Worker_Task * task )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_source_eval_task ( | TAO_Notify_Worker_Task * task )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_updates_task ( | TAO_Notify_Worker_Task * task )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

int TAO_Notify_Default_EMO_Factory::fini ( | void )`[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_EMO_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

int TAO_Notify_Default_EMO_Factory::init_instance ( | void )

int TAO_Notify_Default_EMO_Factory::init_svc ( | void )`[static]`

int TAO_Notify_Default_EMO_Factory::preallocate_tasks ( | void )`[protected]`

void TAO_Notify_Default_EMO_Factory::print_values ( | void )`[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

## Member Data Documentation

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::prealloc_dispatching_task_`[protected]`

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::prealloc_listener_eval_task_`[protected]`

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::prealloc_source_eval_task_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Default_EMO_Factory.h
- Notify_Default_EMO_Factory.cpp